Loading...
Searching...
No Matches
casacore::FITSExtInfo Class Reference
images package (libcasa_images) » Images_module

class FitsKeywordList; More...

`#include <FITSImgParser.h>`

## Public Member Functions

| FITSExtInfo (const String &name, const uInt &extindex, const String &extname, const Int &extversion, const Bool &hasdata)
| Construct the object.
| FITSExtInfo ()
| Construct the object.
| FITSExtInfo (const FITSExtInfo &other)
| Copy constructor (reference semantics).
| ~FITSExtInfo ()
| Destructor does nothing.
FITSExtInfo & | operator= (const FITSExtInfo &other)
| Assignment (reference semantics).
Bool | operator== (const FITSExtInfo &extinfo)
| Relational operator.
String | get_extexpr (void)
| All extension information as a string.
String | get_extname (void)
| Return the extension name.
Int | get_extversion (void)
| Return the extension version.
Bool | has_data (void)
| Return whether there is data.
void | add_kwlist (FitsKeywordList &kwlist)
| Add a list of keywords.
FitsKeyword * | get_keyword (const String kname)
| Return a keyword.

## Private Attributes

String | name_p
uInt | extindex_p
String | extname_p
Int | extversion_p
Bool | hasdata_p
FitsKeywordList | kwlist_p

## Detailed Description

class FitsKeywordList;

Class for storing FITS Image extension information

### Intended use:

Public interface

### Review Status

Test programs:
  tFITSImgParser

### Etymology

The class stores the essential information on a FITS image extension.

### Synopsis

The class stores the essential information on a FITS image extension, which is the FITS file name, the extension name, the extension version, the index within the FITS file.

### Example

FITSImgParser fitsImg("in.fits");
FITSExtInfo extinfo("in.fits", 0, "SCI", 1, True);
Int index = fitsImg.get_index(extinfo); // get the index of extension "[SCI, 1]"
casacore::FITSExtInfo::FITSExtInfo
FITSExtInfo(const String &name, const uInt &extindex, const String &extname, const Int &extversion, const Bool &hasdata)
Construct the object.
casacore::FITSImgParser
Definition FITSImgParser.h:87
casacore::Int
int Int
Definition aipstype.h:48
casacore::True
const Bool True
Definition aipstype.h:41

### Motivation

Helper class for accessing multi-extension FITS files.

Definition at line 214 of file FITSImgParser.h.

## Constructor & Destructor Documentation

## FITSExtInfo() [1/3]

casacore::FITSExtInfo::FITSExtInfo | ( | const String & | name,
|  | const uInt & | extindex,
|  | const String & | extname,
|  | const Int & | extversion,
|  | const Bool & | hasdata )

Construct the object.

References casacore::name().

Referenced by FITSExtInfo(), operator=(), and operator==().

## FITSExtInfo() [2/3]

casacore::FITSExtInfo::FITSExtInfo | ( |  | ) |

inline

Construct the object.

Definition at line 222 of file FITSImgParser.h.

References casacore::False, and FITSExtInfo().

Referenced by FITSExtInfo().

## FITSExtInfo() [3/3]

casacore::FITSExtInfo::FITSExtInfo | ( | const FITSExtInfo & | other | ) |

Copy constructor (reference semantics).

References FITSExtInfo().

## ~FITSExtInfo()

casacore::FITSExtInfo::~FITSExtInfo | ( |  | ) |

Destructor does nothing.

## Member Function Documentation

## add_kwlist()

void casacore::FITSExtInfo::add_kwlist | ( | FitsKeywordList & | kwlist | ) |

Add a list of keywords.

## get_extexpr()

String casacore::FITSExtInfo::get_extexpr | ( | void |  | ) |

All extension information as a string.

## get_extname()

String casacore::FITSExtInfo::get_extname | ( | void |  | ) |

inline

Return the extension name.

Definition at line 243 of file FITSImgParser.h.

References extname_p.

## get_extversion()

Int casacore::FITSExtInfo::get_extversion | ( | void |  | ) |

inline

Return the extension version.

Definition at line 246 of file FITSImgParser.h.

References extversion_p.

## get_keyword()

FitsKeyword * casacore::FITSExtInfo::get_keyword | ( | const String | kname | ) |

inline

Return a keyword.

Definition at line 255 of file FITSImgParser.h.

References casacore::String::c_str(), and kwlist_p.

## has_data()

Bool casacore::FITSExtInfo::has_data | ( | void |  | ) |

inline

Return whether there is data.

Definition at line 249 of file FITSImgParser.h.

References hasdata_p.

## operator=()

FITSExtInfo & casacore::FITSExtInfo::operator= | ( | const FITSExtInfo & | other | ) |

Assignment (reference semantics).

References FITSExtInfo().

## operator==()

Bool casacore::FITSExtInfo::operator== | ( | const FITSExtInfo & | extinfo | ) |

Relational operator.

References FITSExtInfo().

## Member Data Documentation

## extindex_p

uInt casacore::FITSExtInfo::extindex_p

private

Definition at line 259 of file FITSImgParser.h.

## extname_p

String casacore::FITSExtInfo::extname_p

private

Definition at line 260 of file FITSImgParser.h.

Referenced by get_extname().

## extversion_p

Int casacore::FITSExtInfo::extversion_p

private

Definition at line 261 of file FITSImgParser.h.

Referenced by get_extversion().

## hasdata_p

Bool casacore::FITSExtInfo::hasdata_p

private

Definition at line 262 of file FITSImgParser.h.

Referenced by has_data().

## kwlist_p

FitsKeywordList casacore::FITSExtInfo::kwlist_p

private

Definition at line 263 of file FITSImgParser.h.

Referenced by get_keyword().

## name_p

String casacore::FITSExtInfo::name_p

private

Definition at line 258 of file FITSImgParser.h.

The documentation for this class was generated from the following file:

- images/Images/FITSImgParser.h